/oauth2/token

oAuth2 access token issuing. The oauth2 server supports 2 endpoints.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The oauth2 server supports 2 endpoints:

  • token: issues an access token based on the request body parameters
  • authorize: used internally from apps to authorize the usage of resources or explicit authentication from 3th party users.

Parameters

ParameterDefinition
grant_typeThere are 3 types of gran types available in the API, these are:
  • client_ credentials
  • password
  • authorization_code
client_secretClient secret is a secret hash that will be provide to you when you issue your api access.
client_idClient id is your unique id to use the api, handed to you when you request access to the api
usernameUsername is the username for a registered user. You should include this while using password grant_type only. The resulting access token should enable your app to make calls on behalf of the registered user. Such calls might include: /PlaceBid, /UserStatement, etc..
passwordThe selected password from your registered user through the api.
codeAuthorization code, obtained from oauth2 server (required when using authorization_code grant type)
redirect_uriURL to redirect the user back to (required when using authorization_code grant type)
Form Data
string

[password, client_credentials, authorization_code]

string
string
string
string
string
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
rebuildingsociety.com © copyright 2019